package envoy.client.event;

import envoy.data.User;
import envoy.event.ContactOperationEvent.Operation;
import envoy.event.Event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>AddContactEvent.java</strong><br>
 * Created: <strong>09.02.2020</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy v0.3-alpha
 */
public class AddContactEvent implements Event<User> {

	private User		contact;
	private Operation	operation;

	private static final long serialVersionUID = 7855669140917046709L;

	/**
	 * Initializes a {@link AddContactEvent}.
	 *
	 * @param contact   the user to be added to the contacts
	 * @param operation the operation, which should be executed
	 * @since Envoy v0.3-alpha
	 */
	public AddContactEvent(User contact, Operation operation) {
		this.contact	= contact;
		this.operation	= operation;
	}

	@Override
	public User get() { return contact; }

	/**
	 * @return the operation, which should be executed
	 */
	public Operation getOperation() { return operation; }
}
